Name:          qpid-proton-java
Version:       0.6
Release:       2%{?dist}
Summary:       Java libraries for Qpid Proton
License:       ASL 2.0
URL:           http://qpid.apache.org/proton/
Source0:       http://www.apache.org/dist/qpid/proton/%{version}/qpid-proton-%{version}.tar.gz

BuildRequires: maven-local
BuildRequires: mvn(junit:junit)
BuildRequires: mvn(org.apache.maven.doxia:doxia-module-markdown)
BuildRequires: mvn(org.apache.maven.plugins:maven-site-plugin)
BuildRequires: mvn(org.bouncycastle:bcprov-jdk16)
BuildRequires: mvn(org.apache.geronimo.specs:geronimo-jms_1.1_spec)
BuildRequires: mvn(org.apache.geronimo.specs:specs)
BuildRequires: mvn(org.fusesource.hawtbuf:hawtbuf)
# TODO hawtdispatch-version>=1.18
BuildRequires: mvn(org.fusesource.hawtdispatch:hawtdispatch-transport)
BuildRequires: mvn(org.mockito:mockito-core)
BuildRequires: mvn(org.fusesource:fusesource-pom)

BuildArch:     noarch

%description
Java language bindings for the Qpid Proton messaging framework.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n qpid-proton-%{version}

# Unwanted
rm -r tools docs config.sh examples/messenger/c \
  examples/messenger/php examples/messenger/py \
  examples/messenger/perl examples/messenger/ruby \
  examples/include CMakeLists.txt bin proton-c \
  tests/smoke tests/ruby tests/python tests/tools

sed -i 's|bcpkix-jdk15on|bcprov-jdk16|' proton-j/proton/pom.xml

#%%pom_disable_module "tests"
%pom_remove_dep org.python:jython-standalone tests
rm -r tests/java/org/apache/qpid/proton/JythonTest.java
%pom_xpath_remove "pom:profiles/pom:profile[pom:id = 'proton-jni']" tests

%build

%mvn_build

%install
%mvn_install

%files -f .mfiles
%dir %{_javadir}/%{name}
%doc proton-j/proton-api/LICENSE
%doc examples/messenger/java/README.txt

%files javadoc -f .mfiles-javadoc
%doc proton-j/proton-api/LICENSE

%changelog
* Mon Jan 20 2014 gil cattaneo <puntogil@libero.it> 0.6-2
- fix release field
- use upstream source archive
- enable test suite

* Fri Jan 17 2014 gil cattaneo <puntogil@libero.it> 0.6-1
- initial rpm